Loading...
Searching...
No Matches
DataType.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`
`#include <casacore/casa/BasicSL/Complex.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/casa/iosfwd.h>`

Go to the source code of this file.

## Classes

struct | casacore::DataType_global_functions_DataType
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | DEFINE_WHATTYPE(SPECIALIZED_TYPE, RETURN_TYPE)

## Macro Definition Documentation

## DEFINE_WHATTYPE

#define DEFINE_WHATTYPE | ( |  | SPECIALIZED_TYPE,
|  |  | RETURN_TYPE )

Definition at line 169 of file DataType.h.